﻿<EditForm Model="@Region" OnValidSubmit="Submit">
    <DataAnnotationsValidator />
    <MudDialog>
        <DialogContent>
            <MudTextField T="int" Label="地域ID" @bind-Value="Region.RegionId" For="@(() => Region.RegionId)" ReadOnly="true" />
            <MudTextField T="string" Label="地域名" @bind-Value="Region.RegionName" For="@(() => Region.RegionName)" ReadOnly="@IsReadOnly" />
        </DialogContent>
        <DialogActions>
            <MudButton OnClick="Cancel">キャンセル</MudButton>
            @if (!IsReadOnly)
            {
                <MudButton ButtonType="ButtonType.Submit" Variant="Variant.Filled" Color="Color.Primary" Class="ml-auto">保存</MudButton>
            }
        </DialogActions>
    </MudDialog>
</EditForm>

@code{
    [CascadingParameter]
    MudDialogInstance MudDialog { get; set; }

    [Parameter]
    public RegionEntity Region { get; set; } = new();

    [Parameter]
    public bool IsReadOnly { get; set; } = false;

    protected override void OnInitialized()
    {
        base.OnInitialized();
    }

    private void Cancel()
    {
        MudDialog.Cancel();
    }
    private void Submit()
    {
        MudDialog.Close(DialogResult.Ok<RegionEntity>(Region));
    }
}